ZZIP_DIR_FREE(3)

NAME
zzip_dir_free, zzip_dir_close -

SYNOPSIS

#include <zzip/lib.h>

int zzip_dir_free((ZZIP_DIR * dir));

int zzip_dir_close((ZZIP_DIR * dir));

DESCRIPTION

The zzip_dir_free function will free the zzip_dir handle unless there are still zzip_files attached (that may use its cache buffer). This is the inverse of zzip_dir_alloc , and both are helper functions used implicitly in other zzipcalls e.g. zzip_dir_close = zzip_close

returns zero on success returns the refcount when files are attached.

It will also free(2) the ZZIP_DIR-handle given. the counterpart for zzip_dir_open see also zzip_dir_free

AUTHOR

    • Guido Draheim <guidod@gmx.de> Tomi Ollila <too@iki.fi>

COPYRIGHT

Copyright (c) Guido Draheim, use under copyleft (LGPL,MPL)

SEE ALSO

zzip_dir_alloc_ext_io